Bug 193319 - Review Request: chestnut-dialer - A PPP dialing program
Review Request: chestnut-dialer - A PPP dialing program
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Package Reviews List
:
Depends On:
Blocks: FE-DEADREVIEW
  Show dependency treegraph
 
Reported: 2006-05-27 03:33 EDT by Konstantin Korikov
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-06-08 00:05:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Konstantin Korikov 2006-05-27 03:33:39 EDT
Spec URL: http://lostclus.linux.kiev.ua/files/chestnut-dialer.spec
SRPM URL: http://lostclus.linux.kiev.ua/files/chestnut-dialer-0.3.2-2.src.rpm
Description:
Chestnut Dialer is PPP dialing program, written in Python. Many Internet
providers, that provide dialup service, use PPP protocol; this program helps
you to connect to Internet using a modem. Current version 0.3.2 can work
with GTK2, QT, and without GUI (command line interface). Chestnut Dialer uses
standard pppd daemon to set up network interface.
Comment 1 Konstantin Korikov 2006-05-27 03:40:27 EDT
This is my first package, and I are seeking a sponsor.
Comment 2 Konstantin Korikov 2006-05-28 05:28:13 EDT
Spec URL: http://lostclus.linux.kiev.ua/files/chestnut-dialer.spec
SRPM URL: http://lostclus.linux.kiev.ua/files/chestnut-dialer-0.3.2-3.src.rpm

Changes:
- Don't use autoreconf in spec file, use patch instead
- Remove %{_infodir}/dir after install
Comment 3 Konstantin Korikov 2006-05-29 13:13:51 EDT
Spec URL: http://lostclus.linux.kiev.ua/files/chestnut-dialer.spec
SRPM URL: http://lostclus.linux.kiev.ua/files/chestnut-dialer-0.3.2-4.src.rpm

* Mon May 29 2006 Konstantin Korikov <lostclus@ua.fm> - 0.3.2-4
- Patch to resolve problems with some locales like uk_UA and ru_UA

I still seeking a sponsor.
Comment 4 Parag AN(पराग) 2006-06-01 03:03:23 EDT
* Source tag is not a URL
* Use dist tag in release like:
  Release : 4%{?dist}
Comment 5 Konstantin Korikov 2006-06-01 03:39:10 EDT
Spec URL: http://lostclus.linux.kiev.ua/files/chestnut-dialer.spec
SRPM URL: http://lostclus.linux.kiev.ua/files/chestnut-dialer-0.3.2-5.src.rpm

* Thu Jun  1 2006 Konstantin Korikov <lostclus@ua.fm> - 0.3.2-5
- Source tag is URL
- Dist tag in release
Comment 6 Parag AN(पराग) 2006-06-19 05:08:40 EDT
Mock Build runs fine for i386
 Package looks good and satisfied all packaging guidelines also.
Package Approved.
Comment 7 Paul Howarth 2006-06-19 06:23:24 EDT
I don't think Parag is entitled to approve packages actually; the review
guidelines say "The primary Reviewer can be any current package owner", and
Parag is not yet sponsored. I've encouraged Parag to review packages as part of
the sponsorship process, but this shouldn't include approving packages.

Moreover, in this case the submitter appears to be needing a sponsor, and
first-time packagers should have their packages reviewed by someone that can
sponsor them.
Comment 8 Parag AN(पराग) 2006-06-19 06:29:49 EDT
Thanks for Info Paul,
      From Now i will only do Review and will not change any Bug status. I
thought i can do following
1. Change the blocking bug from FE-NEW to FE-REVIEW, or FC-NEW to FC-REVIEW.
(FE-REVIEW is bz #163778, FC-REVIEW is bz #188267)
2. Assign the bug to yourself.
3. Review the package.
    as given on http://fedoraproject.org/wiki/Packaging/ReviewGuidelines for a
Reviewer
Comment 9 Parag AN(पराग) 2006-06-19 06:31:47 EDT
Also theres given that 
4. Take one of the following actions:

    *

      ACCEPT: If the package is good, change the blocker bug from FE-REVIEW to
FE-ACCEPT or FC-REVIEW to FC-ACCEPT. (FE-ACCEPT is bz #163779, FC-ACCEPT is bz
#188268)
          o

            (Extras Only) If the Reviewer is also acting as Sponsor for the
Contributor, then this is the time to sponsor the Contributor in the [WWW]
account system.
    *

      FAIL, LEGAL: If the package is legally risky for whatever reason (known
patent or copyright infringement, trademark concerns) close the bug WONTFIX and
leave an appropriate comment (i.e. we don't ship mp3, so stop submitting it).
    *

      FAIL, OTHER: If the package is just way off or unsuitable for some other
reason, and there is no simple fix, then close the bug WONTFIX and leave an
appropriate comment (i.e. we don't package pornography for redistribution,
sorry. Or, this isn't a specfile, it's a McDonald's menu, sorry.)
    *

      NEEDSWORK: Anything that isn't explicitly failed should be left open while
the submitter and reviewer work together to fix any potential issues.

5. Once a package is in FE-ACCEPT / FC-ACCEPT (or is failed), the Reviewer's job
is done.
[BOTTOM][TOP]
Comment 10 Paul Howarth 2006-06-19 06:35:08 EDT
(In reply to comment #8)
> Thanks for Info Paul,
>       From Now i will only do Review and will not change any Bug status. I
> thought i can do following
> 1. Change the blocking bug from FE-NEW to FE-REVIEW, or FC-NEW to FC-REVIEW.
> (FE-REVIEW is bz #163778, FC-REVIEW is bz #188267)
> 2. Assign the bug to yourself.
> 3. Review the package.
>     as given on http://fedoraproject.org/wiki/Packaging/ReviewGuidelines for a
> Reviewer

That's what the primary reviewer of a package does. But the primary reviewer of
a package must be a maintainer of an existing package in Extras:

Reviewer

A Reviewer is defined as the person who chooses to review a package. For the
sake of clarity, one person takes ownership of the review. Other people are
encouraged to comment on the review as well, either in the bug or on the mailing
list. ***The primary Reviewer can be any current package owner, unless the
Contributor is a first timer.***
Comment 11 Kevin Fenzi 2006-10-14 12:20:56 EDT
Hey Konstantin. Sorry this package has been sitting here so long. ;( 

Hopefully you still wish to submit it. 

You might want to take a look at: 
http://fedoraproject.org/wiki/Extras/HowToGetSponsored

If you have some other packages to submit and/or can add some feedback on other 
pending reviews, that would help sponsors see that you understand the 
guidelines.
Comment 13 Kevin Fenzi 2007-06-01 00:51:48 EDT
Konstantin: I will be closing this bug in 1 week unless you comment that you
still wish to submit it. 
Comment 14 Kevin Fenzi 2007-06-08 00:05:25 EDT
ok, no word for a week, and someone else is working on submitting this.
I am going to go ahead and close this request now. 

Note You need to log in before you can comment on or make changes to this bug.